Junoa-Hub-API
Junoa Hub
  1. OpenAI Text
  • Gateway Discovery
    • List authorized models
      GET
    • Get available credits
      GET
    • List effective model pricing
      GET
  • OpenAI Text
    • Create chat completion
      POST
    • Create model response
      POST
  • Anthropic Messages
    • Create Claude message
      POST
  • Media Generation
    • Generate image
      POST
    • Create video job
      POST
    • Get video job
      GET
  • Embeddings
    • Create embedding
      POST
  • OCR
    • Create OCR result
      POST
  • Legacy VolcEngine
    • Create legacy content task
      POST
    • Get legacy content task
      GET
  1. OpenAI Text

Create model response

全球加速 BaseURL
https://api.junoa.ai
全球加速 BaseURL
https://api.junoa.ai
POST
https://api.junoa.ai
/v1/responses
最后修改时间:2026-07-29 05:55:00
OpenAI Responses-compatible generation. Set stream=true to select the text/event-stream response.

请求参数

Authorization
Bearer Token
在 Header 添加参数
Authorization
,其值为在 Bearer 之后拼接 Token
示例:
Authorization: Bearer ********************
or
Body 参数application/json必填

示例

返回响应

🟢200成功
application/json
Response object or SSE stream selected by request stream=true.
Body

🟠400请求有误
🟠401没有权限
🟠404记录不存在
🟠429
🔴502网关错误
🔴504网关超时
请求示例请求示例
Shell
JavaScript
Java
Swift
curl --location 'https://api.junoa.ai/v1/responses' \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{
    "model": "gpt-5.5",
    "input": "Explain this briefly.",
    "stream": false
}'
响应示例响应示例
200 - 示例 1
{
    "id": "string",
    "object": "response",
    "created_at": 0,
    "status": "completed",
    "completed_at": 0,
    "error": {
        "code": "server_error",
        "message": "string"
    },
    "incomplete_details": {
        "reason": "max_output_tokens"
    },
    "instructions": "string",
    "max_output_tokens": 0,
    "model": "string",
    "output": [
        {
            "type": "message",
            "id": "string",
            "status": "in_progress",
            "role": "assistant",
            "content": [
                {
                    "type": "output_text",
                    "text": "string",
                    "annotations": [
                        {
                            "type": "file_citation",
                            "file_id": "string",
                            "index": 0,
                            "filename": "string"
                        }
                    ],
                    "logprobs": [
                        {
                            "token": "string",
                            "logprob": 0,
                            "bytes": [
                                0
                            ],
                            "top_logprobs": [
                                {
                                    "token": "string",
                                    "logprob": 0,
                                    "bytes": [
                                        0
                                    ]
                                }
                            ]
                        }
                    ]
                }
            ],
            "phase": "commentary"
        }
    ],
    "parallel_tool_calls": true,
    "previous_response_id": "string",
    "reasoning": {
        "effort": "medium",
        "summary": "auto",
        "context": "auto",
        "mode": "string",
        "generate_summary": "auto"
    },
    "store": true,
    "temperature": 1,
    "text": {
        "format": {
            "type": "text"
        },
        "verbosity": "medium"
    },
    "tool_choice": "none",
    "tools": [
        {
            "type": "function",
            "name": "string",
            "description": "string",
            "parameters": {
                "property1": "string",
                "property2": "string"
            },
            "output_schema": {
                "property1": "string",
                "property2": "string"
            },
            "strict": true,
            "defer_loading": true,
            "allowed_callers": [
                "direct"
            ]
        }
    ],
    "top_p": 1,
    "truncation": "disabled",
    "usage": {
        "input_tokens": 0,
        "input_tokens_details": {
            "cached_tokens": 0,
            "cache_write_tokens": 0
        },
        "output_tokens": 0,
        "output_tokens_details": {
            "reasoning_tokens": 0
        },
        "total_tokens": 0
    },
    "user": "user-1234",
    "metadata": {
        "property1": "string",
        "property2": "string"
    },
    "top_logprobs": 0,
    "safety_identifier": "safety-identifier-1234",
    "prompt_cache_key": "prompt-cache-key-1234",
    "service_tier": "auto",
    "prompt_cache_retention": "in_memory",
    "background": false,
    "max_tool_calls": 0,
    "prompt": {
        "id": "string",
        "version": "string",
        "variables": {
            "property1": "string",
            "property2": "string"
        }
    },
    "output_text": "string",
    "prompt_cache_options": {
        "ttl": "30m",
        "mode": "implicit"
    },
    "moderation": {
        "input": {
            "type": "moderation_result",
            "model": "string",
            "flagged": true,
            "categories": {
                "property1": true,
                "property2": true
            },
            "category_scores": {
                "property1": 0,
                "property2": 0
            },
            "category_applied_input_types": {
                "property1": [
                    "text"
                ],
                "property2": [
                    "text"
                ]
            }
        },
        "output": {
            "type": "moderation_result",
            "model": "string",
            "flagged": true,
            "categories": {
                "property1": true,
                "property2": true
            },
            "category_scores": {
                "property1": 0,
                "property2": 0
            },
            "category_applied_input_types": {
                "property1": [
                    "text"
                ],
                "property2": [
                    "text"
                ]
            }
        }
    },
    "conversation": {
        "id": "string"
    }
}
上一页
Create chat completion
下一页
Create Claude message
Built with